var PP_CALCULATOR = (function () {
    var my = {};
    var commissions = {
        ipCommission: 2.9,
        acqCommission: 0.02,
        ppCommission: 0.015
    };
    function privParseInt(num) {
        return parseInt(num, 10)
    }
    function getValByTerm(term) {
        var commissions = {
            1: 0.015,
            2: 0.025,
            3: 0.045,
            4: 0.07,
            5: 0.09,
            6: 0.115,
            7: 0.135,
            8: 0.155,
            9: 0.165,
            10: 0.17,
            11: 0.175,
            12: 0.19,
            13: 0.205,
            14: 0.22,
            15: 0.235,
            16: 0.245,
            17: 0.26,
            18: 0.27,
            19: 0.285,
            20: 0.295,
            21: 0.31,
            22: 0.32,
            23: 0.33,
            24: 0.345
        };
        return commissions[term];
    }
    my.calculatePhys = function (paymentsCount, price) {
        if (isNaN(paymentsCount) || isNaN(price)) return;
        paymentsCount = privParseInt(paymentsCount) + 1;
        price = privParseInt(price);
        var ip = price / paymentsCount + price * (commissions.ipCommission / 100);
        var pp = price / paymentsCount + price*0.0001;
        return ({
            payCount: paymentsCount,
            ipValue: ip.toFixed(2),
            ppValue: pp.toFixed(2)
        });
    };
    my.calculateJur = function (paymentsCount, price) {
        if (isNaN(paymentsCount) || isNaN(price)) return;
        paymentsCount = privParseInt(paymentsCount) + 1;
        price = privParseInt(price);
        var tabVal = getValByTerm(paymentsCount - 1);
        var stpp = price * (1 - (tabVal + commissions.acqCommission));
        var pp = 0;
        var ppValHint = '0.00';
        var singlePayment = price / paymentsCount;
        var ppFirst = singlePayment - price * (commissions.acqCommission + commissions.ppCommission);
        var ppSecond = singlePayment;
        var ppOther = (paymentsCount - 1) * ppSecond;
        pp = ppFirst + ppOther;
        ppValHint = ppFirst.toFixed(2) + " + " + (paymentsCount - 1) + "*" + ppSecond.toFixed(2);
        var ip = price * (1 - commissions.acqCommission);
        return ({
            payCount: paymentsCount,
            stPpValue: stpp.toFixed(2),
            ipValue: ip.toFixed(2),
            ppValue: pp.toFixed(2),
            ppValueHint: ppValHint
        });
    };
    return my;
}());